Bug 1233963 - Review Request: python-cachetools - Extensible memoizing collections and decorators
Summary: Review Request: python-cachetools - Extensible memoizing collections and deco...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Julien Enselme
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1243048 (view as bug list)
Depends On:
Blocks: RDO-LIBERTY-REVIEWS
TreeView+ depends on / blocked
 
Reported: 2015-06-19 20:41 UTC by John Eckersberg
Modified: 2015-09-16 03:14 UTC (History)
4 users (show)

Fixed In Version: python-cachetools-1.0.3-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-31 07:56:47 UTC
Type: ---
jujens: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description John Eckersberg 2015-06-19 20:41:32 UTC
Spec URL: https://jeckersb.fedorapeople.org/python-cachetools/python-cachetools.spec
SRPM URL: https://jeckersb.fedorapeople.org/python-cachetools/python-cachetools-1.0.2-1.fc23.src.rpm
Description: 

        This module provides various memoizing collections and decorators,
        including a variant of the Python 3 Standard Library @lru_cache
        function decorator.
        
        This module provides multiple cache implementations based on different
        cache algorithms, as well as decorators for easily memoizing function
        and method calls.


Fedora Account System Username: jeckersb

Comment 1 Julien Enselme 2015-06-20 19:00:31 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE is marked as %doc instead of %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 32 files have unknown license. Detailed
     output of licensecheck in /tmp/1233963-python-
     cachetools/licensecheck.txt
[X]: License file installed when any subpackage combination is installed.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package uses nothing in %doc for runtime.
[X]: Package consistently uses macros (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 8 files.
[X]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[X]: Python eggs must not download any dependencies during the build
     process.
[X]: A package which is used by another package via an egg interface should
     provide egg info.
[X]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-cachetools
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-cachetools-1.0.2-1.fc23.noarch.rpm
          python3-cachetools-1.0.2-1.fc23.noarch.rpm
          python-cachetools-1.0.2-1.fc23.src.rpm
python-cachetools.noarch: W: spelling-error Summary(en_US) memoizing -> memorizing, demonizing, monetizing
python-cachetools.noarch: W: spelling-error %description -l en_US memoizing -> memorizing, demonizing, monetizing
python-cachetools.noarch: W: spelling-error %description -l en_US lru -> URL
python3-cachetools.noarch: W: spelling-error Summary(en_US) memoizing -> memorizing, demonizing, monetizing
python3-cachetools.noarch: W: spelling-error %description -l en_US memoizing -> memorizing, demonizing, monetizing
python3-cachetools.noarch: W: spelling-error %description -l en_US lru -> URL
python-cachetools.src: W: spelling-error Summary(en_US) memoizing -> memorizing, demonizing, monetizing
python-cachetools.src: W: spelling-error %description -l en_US memoizing -> memorizing, demonizing, monetizing
python-cachetools.src: W: spelling-error %description -l en_US lru -> URL
3 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
python3-cachetools.noarch: W: spelling-error Summary(en_US) memoizing -> memorizing, demonizing, monetizing
python3-cachetools.noarch: W: spelling-error %description -l en_US memoizing -> memorizing, demonizing, monetizing
python3-cachetools.noarch: W: spelling-error %description -l en_US lru -> URL
python-cachetools.noarch: W: spelling-error Summary(en_US) memoizing -> memorizing, demonizing, monetizing
python-cachetools.noarch: W: spelling-error %description -l en_US memoizing -> memorizing, demonizing, monetizing
python-cachetools.noarch: W: spelling-error %description -l en_US lru -> URL
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
python3-cachetools (rpmlib, GLIBC filtered):
    python(abi)

python-cachetools (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-cachetools:
    python3-cachetools

python-cachetools:
    python-cachetools



Source checksums
----------------
https://pypi.python.org/packages/source/c/cachetools/cachetools-1.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : 51ec19285579798b50e08b7fed7ceac1c1fa380ea0e7561ef073e2d1c778d8cd
  CHECKSUM(SHA256) upstream package : 51ec19285579798b50e08b7fed7ceac1c1fa380ea0e7561ef073e2d1c778d8cd


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1233963 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


- Remove upstream's egg-info in %setup
- Don't rm -rf $RPM_BUILD_ROOT in the beginning of install
- Be more specific in the included files
- Use %license for license: https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text
- The definition of __python2, python2_sitearch and python2_sitearch is not needed for fedora

Comment 2 Julien Enselme 2015-07-20 18:11:02 UTC
Any progress on addressing the problems I pointed out?

Comment 3 John Eckersberg 2015-07-20 18:15:26 UTC
(In reply to Julien Enselme from comment #2)
> Any progress on addressing the problems I pointed out?

Sorry, I lost track of this in my backlog.  I'll get an updated package posted later today.

Comment 4 John Eckersberg 2015-07-20 19:40:34 UTC
Updated:

Spec URL: https://jeckersb.fedorapeople.org/python-cachetools/python-cachetools.spec
SRPM URL: https://jeckersb.fedorapeople.org/python-cachetools/python-cachetools-1.0.2-2.fc24.src.rpm

%changelog
* Mon Jul 20 2015 John Eckersberg <eck@redhat.com> - 1.0.2-2
- Remove egg-info in %%setup
- Install license via %%license instead of %%doc
- Don't rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- Removed defines for __python2, python2_sitelib, and python2_sitearch
- Be more explicit in %%files

Comment 5 Julien Enselme 2015-07-20 20:03:48 UTC
Looks good. Approved!

Comment 6 John Eckersberg 2015-07-20 20:22:51 UTC
New Package SCM Request
=======================
Package Name: python-cachetools
Short Description: Extensible memoizing collections and decorators
Upstream URL: https://pypi.python.org/pypi/cachetools
Owners: jeckersb
Branches: f22 f23 epel7
InitialCC:

Comment 7 Gwyn Ciesla 2015-07-21 11:14:28 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-07-21 13:30:17 UTC
python-cachetools-1.0.3-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-cachetools-1.0.3-1.fc22

Comment 9 Fedora Update System 2015-07-21 13:30:59 UTC
python-cachetools-1.0.3-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-cachetools-1.0.3-1.el7

Comment 10 Fedora Update System 2015-07-21 15:04:24 UTC
python-cachetools-1.0.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 11 Fedora Update System 2015-07-31 07:56:47 UTC
python-cachetools-1.0.3-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 12 Fedora Update System 2015-08-05 05:30:15 UTC
python-cachetools-1.0.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 13 Haïkel Guémar 2015-08-27 08:27:19 UTC
*** Bug 1243048 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.